Bug 729662 - Intel 82575EB NIC doesn't work with igb driver provided with 5.7
Summary: Intel 82575EB NIC doesn't work with igb driver provided with 5.7
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: i686
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Stefan Assmann
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-10 13:46 UTC by Vargo Companies
Modified: 2011-11-07 09:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-07 09:36:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Vargo Companies 2011-08-10 13:46:29 UTC
I have recently built a new machine which has integrated Intel 82575EB NIC's.  The RH EL5 installation was done using the 5.3 release, which supported the NIC cards and was performed using PXEBOOT and NFS install method.  However, after the install was completed I proceeded to run full updates on the machine; which has brought it up to the latest 5.7 release with 2.6.18-274 kernel release.  After these updates, the NIC card no longer works.

I can see that the igb kernel module is getting loaded in lsmod, however the NIC devices are not recognized.  In dmesg I can see where it's loading the kernel module but it never recognized any NIC devices.  I do see the devices in lspci output, but that's it.

This issue seems to be related to the previous bug 479436.

Comment 1 Vargo Companies 2011-08-10 14:19:39 UTC
The kmod-igb-rhel5u5 package appears to have corrected my problem.  I was able to install the RPM for this via a USB drive and now the NIC's are working again.

https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=604447

Comment 2 Stefan Assmann 2011-08-12 15:05:48 UTC
Please provide the output of lspci -nn and the output of dmesg when the NIC was not recognized by the system.

Comment 3 Stefan Assmann 2011-09-13 08:59:30 UTC
Please provide the information requested above.

Comment 4 Stefan Assmann 2011-11-07 09:36:16 UTC
no reply in several month


Note You need to log in before you can comment on or make changes to this bug.